Subject: Re: bug#39190: 28.0.50; two buffers with same buffer-file-name (diff-syntax-fontify-props)

From: Stefan Monnier <[email-masked]>
Date: Tue, 24 Mar 2020 18:29:34 -0400

> Currently `conf-mode` is broken in master: visiting a conf file doesn't
> activate `conf-mode`.

In my tests it does, but it only activates the parent-mode and not the
specific submode applicable to the file, indeed.

> I don't know the right way to fix this, but this patch demonstrates
> what basically needed to do to fix it, and it seems something like
> this wrapper could be added:
>
> (defun conf-guess-mode ()
>   (funcall (conf--guess-mode)))

That shouldn't be needed!
[ I.e. the right fix should arrange for that not to be necessary.
  I'm looking into it, thanks.  ]

        Stefan